Subject: Re: linux-next: build failure after merge of the wireless-next tree

From: Larry Finger <[email-masked]>
Date: Mon, 01 Apr 2013 22:07:24 -0500

On 04/01/2013 09:34 PM, Stephen Rothwell wrote:
> Hi John,
>
> After merging the wireless-next tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
>
> drivers/net/wireless/rtlwifi/rtl8188ee/dm.c:30:18: fatal error: wifi.h: No such file or directory
>
> Caused by commit f0eb856e0b6c ("rtlwifi: rtl8188ee: Add new driver").
> Forgot a file?
>
> I have used the wireless-next tree from next-20130328 for today.

Stephen,

I do not understand. File wifi.h is definitely there and is in 
drivers/net/wireless/rtlwifi/. Use of that directory as a source of include 
files is handled by "ccflags-y += -I drivers/net/wireless/rtlwifi 
-D__CHECK_ENDIAN__" in the Makefile for rtl8188ee. In fact, it builds just fine 
here.

What am I missing?

Larry